حاشیه‌نویسی‌ها

GET https://data.cheraghestan.com/api/annotations/
curl --request GET \
--url 'https://data.cheraghestan.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
پارامترها جزئیات توضیحات
website_id اختیاری عدد صحیح
search اختیاری رشته رشته جستجو.
search_by اختیاری رشته بر اساس چه فیلدی جستجو می‌کنید. مقادیر مجاز: name.
datetime_field اختیاری رشته مقادیر مجاز: datetime, last_datetime, chart_datetime
datetime_start اختیاری رشته نتایج را از این تاریخ و زمان شروع فیلتر کنید. فرمت Y-m-d H:i:s.
datetime_end اختیاری رشته نتایج را تا این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s.
order_by اختیاری رشته مرتب‌سازی نتایج بر اساس چه فیلدی. مقادیر مجاز: annotation_id, website_id, datetime, last_datetime, name, chart_datetime.
order_type اختیاری رشته ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی.
page اختیاری عدد صحیح شماره صفحه‌ای که می‌خواهید نتایج از آن باشد. پیش‌فرض 1.
results_per_page اختیاری عدد صحیح چند نتیجه در هر صفحه می‌خواهید. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. پیش‌فرض 25.
{
    "data": [
        {
            "id": 1,
            "website_id: 1,
            "user_id: 1,
            "name": "Example",
            "chart_datetime": "2026-10-13 14:37:15",
            "datetime": "2026-10-13 14:37:15",
            "last_datetime": null
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://data.cheraghestan.com/api/annotations?page=1",
        "last": "https://data.cheraghestan.com/api/annotations?page=1",
        "next": null,
        "prev": null,
        "self": "https://data.cheraghestan.com/api/annotations?page=1"
    }
}
GET https://data.cheraghestan.com/api/annotations/{annotation_id}
curl --request GET \
--url 'https://data.cheraghestan.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id: 1,
        "user_id: 1,
        "name": "Example",
        "chart_datetime": "2026-10-13 14:37:15",
        "datetime": "2026-10-13 14:37:15",
        "last_datetime": null
    }
}
POST https://data.cheraghestan.com/api/annotations
پارامترها جزئیات توضیحات
website_id الزامی عدد صحیح -
name الزامی رشته -
chart_datetime الزامی رشته Y-m-d H:i:s
curl --request POST \
--url 'https://data.cheraghestan.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-10-13 14:37:15' \
{
    "data": {
        "id": 1
    }
}
POST https://data.cheraghestan.com/api/annotations/{annotation_id}
پارامترها جزئیات توضیحات
website_id اختیاری عدد صحیح -
name اختیاری رشته -
chart_datetime اختیاری رشته Y-m-d H:i:s
curl --request POST \
--url 'https://data.cheraghestan.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://data.cheraghestan.com/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://data.cheraghestan.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \